Bug 1553367 - os-collect-config service running on the undercloud causes overcloud deployment failures
Summary: os-collect-config service running on the undercloud causes overcloud deployme...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1591782 1591783
TreeView+ depends on / blocked
 
Reported: 2018-03-08 18:18 UTC by Alex Schultz
Modified: 2018-06-27 13:35 UTC (History)
4 users (show)

Fixed In Version: instack-undercloud-8.3.1-0.20180304032747.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1591782 1591783 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:35:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1754426 None None None 2018-03-08 18:18:30 UTC
OpenStack gerrit 550966 None None None 2018-03-23 21:24:44 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:35:54 UTC

Description Alex Schultz 2018-03-08 18:18:30 UTC
Description of problem:
If a user uses the RHEL cloud image, it has cloud-init installed which also leaves os-collect-config running. After a user installs the undercloud, os-collect-config continues to pickup on the undercloud puppet scripts which can cause service disruptions and deployment failures.

Version-Release number of selected component (if applicable):
OSP13

How reproducible:


Steps to Reproduce:
1. use rhel guest image for undercloud
2. install undercloud
3. attempt deployment

Actual results:
overcloud deployment hangs and services are restarted every ~5 mins.

Expected results:
overcloud deployment is successful and no further puppet runs are applied after deployment.

Additional info:

Comment 6 Gurenko Alex 2018-04-30 08:58:13 UTC
Tested on puddle: 2018-04-26.3

[stack@undercloud-0 ~]$ systemctl status os-collect-config
● os-collect-config.service - Collect metadata and run hook commands.
   Loaded: loaded (/usr/lib/systemd/system/os-collect-config.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

(undercloud) [stack@undercloud-0 ~]$ rpm -q instack-undercloud
instack-undercloud-8.4.1-2.el7ost.noarch

Comment 9 errata-xmlrpc 2018-06-27 13:35:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.